/****************************************************************************
 *
 * MODULE:
 *
 * COMPONENT:          Controls.c
 *
 * DESCRIPTION:
 *
 ****************************************************************************
 *
 ****************************************************************************
 *  Copyright (c) 2015 NXP B.V.  All rights are reserved.
 *  Reproduction in whole or in part is prohibited without the prior
 *  written consent of the copyright owner.
 *
 *  This software and any compilation or derivative thereof is, and
 *  shall remain the proprietary information of NXP and is
 *  highly confidential in nature. Any and all use hereof is restricted
 *  and is subject to the terms and conditions set forth in the
 *  software license agreement concluded with NXP B.V.
 *
 *  Under no circumstances is this software or any derivative thereof
 *  to be combined with any Open Source Software, exposed to, or in any
 *  way licensed under any Open License Terms without the express prior
 *  written permission of the copyright owner.
 *
 *  For the purpose of the above, the term Open Source Software means
 *  any software that is licensed under Open License Terms. Open
 *  License Terms means terms in any license that require as a
 *  condition of use, modification and/or distribution of a work
 *
 *  1. the making available of source code or other materials
 *     preferred for modification, or
 *
 *  2. the granting of permission for creating derivative
 *     works, or
 *
 *  3. the reproduction of certain notices or license terms
 *     in derivative works or accompanying documentation, or
 *
 *  4. the granting of a royalty-free license to any party
 *     under Intellectual Property Rights
 *
 *  regarding the work and/or any work that contains, is combined with,
 *  requires or otherwise is based on the work.
 *
 *  This software is provided for ease of recompilation only.
 *  Modification and reverse engineering of this software are strictly
 *  prohibited.
 *
 ****************************************************************************/

/****************************************************************************/
/***        Include files                                                 ***/
/****************************************************************************/

#include <string.h>
#include <jendefs.h>
#include "app_common.h"
#include "pdm.h"
#include "PDM_IDs.h"
#include "Controls.h"

/****************************************************************************/
/***        Macro Definitions                                             ***/
/****************************************************************************/

/****************************************************************************/
/***        Type Definitions                                              ***/
/****************************************************************************/

/****************************************************************************/
/***        Local Function Prototypes                                     ***/
/****************************************************************************/

/****************************************************************************/
/***        External Variables                                            ***/
/****************************************************************************/

extern tsDeviceDesc sDeviceDesc;

/****************************************************************************/
/***        Local Variables                                               ***/
/****************************************************************************/

/****************************************************************************/
/***        Exported Functions                                            ***/
/****************************************************************************/

void setLinkKey(uint8 *pLinkKey)
{
    int i;
    for(i=0; i<16; i++)
    {
        sDeviceDesc.linkkey[i] = *pLinkKey++;
    }
    PDM_eSaveRecordData(PDM_ID_APP_APP_ROUTER,
                        &sDeviceDesc,
                        sizeof(tsDeviceDesc));
}

bool getLinkKey(uint8 *pLinkKey)
{
    bool bKeyIsZero = TRUE;
    int i;
    for (i=0; i<16; i++)
    {
        *pLinkKey++ = sDeviceDesc.linkkey[i];
        if (0 != sDeviceDesc.linkkey[i])
        {
            bKeyIsZero = FALSE;
        }
    }
    return bKeyIsZero;
}

/****************************************************************************/
/***        END OF FILE                                                   ***/
/****************************************************************************/
